#
# spec file for package xntp (Version 4.2.4p3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcap libcap-devel libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           xntp
BuildRequires:  libcap-devel openssl-devel readline-devel
# to allow the postinst script to succeed
BuildRequires:  pwdutils
%define ntpfaqversion 3.4
Url:            http://www.ntp.org/
License:        X11/MIT
Group:          Productivity/Networking/Other
Version:        4.2.4p3
Release:        48.4
Summary:        Network Time Protocol daemon (version 4)
# main source
Source0:        ntp-%{version}.tar.bz2
# configuration
Source1:        conf.logrotate.ntp
Source2:        conf.ntp.conf
Source3:        conf.ntp.init
Source4:        conf.sysconfig.ntp
Source5:        conf.sysconfig.syslog-ntp
Source6:        conf.ntp.reg
Source7:        %name.firewall
Source8:        conf.ntp.ifupdown
Source9:        NetworkManager-ntp
# documentation
Source10:       NTP-FAQ-%{ntpfaqversion}.tar.bz2
Source11:       ntp.1.gz
Source12:       README.SUSE
Source13:       ntp-4.2.0-rh-manpages.tar.gz
Source14:       ntp.xml
Patch0:         ntp-4.1.1.SuSE-Config.diff
Patch1:         ntp-4.2.0.ntpdate_overflow.diff
Patch2:         xntp-posix_options.diff
Patch3:         ntp-segfault_on_invalid_device.diff
Patch4:         ntp-linuxcaps.diff
Patch5:         ntp-codecleanup.diff
Patch6:         ntp-ntptrace_doc.diff
Patch7:         ntp-ntptrace_sbinpath.diff
Patch8:         ntpd-maxmonmen.diff
Patch9:         ntp-4.2.4-w32-time-authentification.patch
Patch10:        ntpd-using_wrong_group.diff
Patch12:        xntp-lib64.diff
Patch13:        ntp-stable-4.2.0a-20050816-loconly.diff
Patch14:        ntp-manpages.diff
Patch15:        ntp-config.diff
Patch16:        ntp-offset.diff
Patch17:        xntp-man-pages.diff
Patch18:        xntp-strcat-.diff
Patch19:        ntp-4.2.4-w32-time-authentification.fix.patch
Patch20:        xntp-4.2.0a-seed_file.patch
Patch21:        ntp-kernel-time-sync-message.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Provides:       ntp xntp3
Obsoletes:      ntp xntp3
Requires:       /etc/localtime
PreReq:         /usr/sbin/useradd %insserv_prereq  %fillup_prereq /usr/bin/diff /usr/bin/grep

%description
The Network Time Protocol (NTP) is used to synchronize the time of a
computer client or server to another server or reference time source,
such as a radio, satellite receiver, or modem.

Ntpd is an operating system daemon that sets and maintains the system
time-of-day synchronized with Internet standard time servers.



Authors:
--------
    Mark Andrews <marka@syd.dms.csiro.au>
    Viraj Bais <vbais@mailman1.intel.com>
    Clayton Kirkwood <kirkwood@striderfm.intel.com>
    Karl Berry <karl@owl.HQ.ileaf.com>
    Piete Brooks <Piete.Brooks@cl.cam.ac.uk>
    Steve Clift <clift@ml.csiro.au>
    Casey Crellin <casey@csc.co.za>
    Torsten Duwe <duwe@immd4.informatik.uni-erlangen.de>
    John A. Dundas III <dundas@salt.jpl.nasa.gov>
    Dennis Ferguson <dennis@mrbill.canet.ca>
    Glenn Hollinger <glenn@herald.usask.ca>
    Mike Iglesias <iglesias@uci.edu>
    Jim Jagielski <jim@jagubox.gsfc.nasa.gov>
    Jeff Johnson <jbj@chatham.usdesign.com>
    William L. Jones <jones@hermes.chpc.utexas.edu>
    Dave Katz <dkatz@cisco.com>
    Craig Leres <leres@ee.lbl.gov>
    George Lindholm <lindholm@ucs.ubc.ca>
    Louis A. Mamakos <louie@ni.umd.edu>
    Derek Mulcahy <derek@toybox.demon.co.uk>
    Damon Hart-Davis <d@hd.org>
    Lars H. Mathiesen <thorinn@diku.dk>
    David L. Mills <mills@udel.edu>
    Wolfgang Moeller <moeller@gwdgv1.dnet.gwdg.de>
    Jeffrey Mogul <mogul@pa.dec.com>
    Tom Moore <tmoore@fievel.daytonoh.ncr.com>
    Rainer Pruy <Rainer.Pruy@informatik.uni-erlangen.de>
    Dirce Richards <dirce@zk3.dec.com>
    Nick Sayer <mrapple@quack.kfu.com>
    Frank Kardel <Frank.Kardel@informatik.uni-erlangen.de>
    Ray Schnitzler <schnitz@unipress.com>
    Michael Shields <shields@tembel.org>
    Jeff Steinman <jss@pebbles.jpl.nasa.gov>
    Harlan Stenn <harlan@pfcs.com>
    Kenneth Stone <ken@sdd.hp.com>
    Ajit Thyagarajan <ajit@ee.udel.edu>
    Tomoaki TSURUOKA <tsuruoka@nc.fukuoka-u.ac.jp>
    Paul A Vixie <vixie@vix.com>
    Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

%debug_package
%package doc
License:        X11/MIT
Group:          Documentation/Other
AutoReqProv:    on
Provides:       ntpdoc
Obsoletes:      xntpdoc
Summary:        Additional Package Documentation.

%description doc
The complete set of documentation for building and configuring an NTP
server or client. The documentation is in the form of HTML files
suitable for browsing and contains links to additional documentation at
various web sites.

What about NTP? Understanding and using the Network Time Protocol (A
first try on a non-technical Mini-HOWTO and FAQ on NTP). Edited by
Ulrich Windl and David Dalton.



Authors:
--------
    Mark Andrews <marka@syd.dms.csiro.au>
    Viraj Bais <vbais@mailman1.intel.com>
    Clayton Kirkwood <kirkwood@striderfm.intel.com>
    Karl Berry <karl@owl.HQ.ileaf.com>
    Piete Brooks <Piete.Brooks@cl.cam.ac.uk>
    Steve Clift <clift@ml.csiro.au>
    Casey Crellin <casey@csc.co.za>
    Torsten Duwe <duwe@immd4.informatik.uni-erlangen.de>
    John A. Dundas III <dundas@salt.jpl.nasa.gov>
    Dennis Ferguson <dennis@mrbill.canet.ca>
    Glenn Hollinger <glenn@herald.usask.ca>
    Mike Iglesias <iglesias@uci.edu>
    Jim Jagielski <jim@jagubox.gsfc.nasa.gov>
    Jeff Johnson <jbj@chatham.usdesign.com>
    William L. Jones <jones@hermes.chpc.utexas.edu>
    Dave Katz <dkatz@cisco.com>
    Craig Leres <leres@ee.lbl.gov>
    George Lindholm <lindholm@ucs.ubc.ca>
    Louis A. Mamakos <louie@ni.umd.edu>
    Derek Mulcahy <derek@toybox.demon.co.uk>
    Damon Hart-Davis <d@hd.org>
    Lars H. Mathiesen <thorinn@diku.dk>
    David L. Mills <mills@udel.edu>
    Wolfgang Moeller <moeller@gwdgv1.dnet.gwdg.de>
    Jeffrey Mogul <mogul@pa.dec.com>
    Tom Moore <tmoore@fievel.daytonoh.ncr.com>
    Rainer Pruy <Rainer.Pruy@informatik.uni-erlangen.de>
    Dirce Richards <dirce@zk3.dec.com>
    Nick Sayer <mrapple@quack.kfu.com>
    Frank Kardel <Frank.Kardel@informatik.uni-erlangen.de>
    Ray Schnitzler <schnitz@unipress.com>
    Michael Shields <shields@tembel.org>
    Jeff Steinman <jss@pebbles.jpl.nasa.gov>
    Harlan Stenn <harlan@pfcs.com>
    Kenneth Stone <ken@sdd.hp.com>
    Ajit Thyagarajan <ajit@ee.udel.edu>
    Tomoaki TSURUOKA <tsuruoka@nc.fukuoka-u.ac.jp>
    Paul A Vixie <vixie@vix.com>
    Ulrich Windl <Ulrich.Windl@rz.uni-regensburg.de>

%prep
%setup -q -n ntp-%{version}
# unpack ntp-faq
tar -x -C html -j -f %{S:10}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch19
%patch10
%patch13 -p1
%if %_lib == lib64
%patch12
%endif
# copy README.SUSE
cp %{S:12} .
tar xzf %{S:13} 
%patch14
%patch15
%patch16
%patch17
%patch18
%patch20
%patch21

%build
rm -rf acconfig.h
%{?suse_update_config}
autoreconf -fi
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -W -Wall -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter -fno-strict-aliasing -fstack-protector"
%ifarch alpha s390x
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O0"
%endif
%ifarch ia64
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ffast-math"
%endif
CFLAGS="$RPM_OPT_FLAGS -fPIE" LDFLAGS="-pie" ./configure \
	--with-binsubdir=bin \
	--bindir=%{_sbindir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--enable-parse-clocks \
	--enable-all-clocks \
	--enable-linuxcaps \
	--enable-ipv6 \
	--with-sntp
#	--sbindir=%{_sbindir} \
make

%install
make DESTDIR="%{buildroot}" install
#
# default configuration
#
install -d %{buildroot}/var/lib/ntp/{drift,etc,var/{lib,run/ntp},dev}
install -d %{buildroot}/var/run
ln -s ../.. %{buildroot}/var/lib/ntp/var/lib/ntp
ln -s ../lib/ntp/var/run/ntp %{buildroot}/var/run
install -m 644 -D %{S:1} %{buildroot}/etc/logrotate.d/ntp
install -m 600 -D %{S:2} %{buildroot}/etc/ntp.conf
install -m 600 -D %{S:2} %{buildroot}/var/lib/ntp/etc/ntp.conf.iburst
#
# boot scripts
#
install -D %{S:3} %{buildroot}/etc/init.d/ntp
install -d %{buildroot}/usr/sbin
ln -s ../../etc/init.d/ntp %{buildroot}/usr/sbin/rcntp
#
# fillup sysconfig.ntp
#
install -m 644 -D %{S:4} %{buildroot}/var/adm/fillup-templates/sysconfig.ntp
install -m 644 -D %{S:5} %{buildroot}/var/adm/fillup-templates/sysconfig.syslog-ntp
#
# install SLP reg file
#
install -m 644 -D %{S:6} $RPM_BUILD_ROOT/etc/slp.reg.d/ntp.reg
#
# compatibility links
#
ln -s	ntpd 	%{buildroot}/usr/sbin/xntpd
ln -s	ntpdc 	%{buildroot}/usr/sbin/xntpdc
#
# man pages
#
install -d %{buildroot}/%{_mandir}/man1
install -m 644 man/* %{buildroot}/%{_mandir}/man1
#
# firewall
#
#install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/
#install -m 644 %{S:7} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}
#
# Logfile
#
install -d $RPM_BUILD_ROOT/var/log/
touch $RPM_BUILD_ROOT/var/log/ntp
#
# NetworkManagerDispatcher and ifup/down scripts
#
#install -d %{buildroot}/etc/NetworkManager/dispatcher.d/
install -d %{buildroot}%{_sysconfdir}/sysconfig/network/scripts/
install -d %{buildroot}%{_sysconfdir}/sysconfig/network/if-up.d/
#install -m 755 %{S:9} %{buildroot}/etc/NetworkManager/dispatcher.d/ntp
install -m 755 %{S:8} %{buildroot}%{_sysconfdir}/sysconfig/network/scripts/50-ntp
touch %{buildroot}%{_sysconfdir}/sysconfig/network/if-up.d/50-ntp
#
# service xml
#
install -d %{buildroot}%{_sysconfdir}/omc/srvinfo.d/
install -m 644 %{S:14} %{buildroot}%{_sysconfdir}/omc/srvinfo.d/

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -r ntp 2> /dev/null || :
/usr/sbin/useradd -r -o -g ntp -u 74 -s /bin/false -c "NTP daemon" -d /var/lib/ntp ntp 2> /dev/null || :
/usr/sbin/usermod -g ntp ntp 2>/dev/null || :

%preun
%stop_on_removal ntp
# no update? Then remove these files that aren't owned by the package
if [ ${FIRST_ARG:-0} -eq 0 ]; then
     rm -f /var/lib/ntp/drift/ntp.drift
     rm -f /var/lib/ntp/etc/*
     rm -f /var/log/ntp
fi

%post
# Are we in update mode?
if [ -f /etc/sysconfig/xntp ]; then
	# convert parameters and description in existing sysconfig file
	cvt_tmp=/etc/sysconfig/sysconfig.ntp.$$
        sed -e "s@^XNTPD_@NTPD_@" -e "s@\(\".*\)-U ntp\(.*\"\)@\1-u ntp\2@" \
	/etc/sysconfig/xntp > $cvt_tmp && \
	mv $cvt_tmp /etc/sysconfig/ntp
	rm -f /etc/sysconfig/xntp
fi
# update from previous permissions
if [ -f /etc/ntp.conf ]; then
 chown --from=ntp:root root:ntp /etc/ntp.conf
fi
if [ -f /var/lib/ntp/etc/ntp.conf.iburst ]; then
  chown --from=ntp:root root:ntp /var/lib/ntp/etc/ntp.conf.iburst
fi
if /sbin/chkconfig -c xntpd 3 ; then
	%{insserv_force_if_yast ntp}
fi
%{fillup_only -n ntp }
%{fillup_only -n syslog }
if [ ! -f /var/log/ntp ]; then
	touch /var/log/ntp
	chmod 644 /var/log/ntp
fi
#install dispatcher file only if old nm scripts are here or while a new installation
if [ ${1:-0} -eq 1  -o  -f /etc/NetworkManager/dispatcher.d/ntp ] ; then
	if [ -e /etc/sysconfig/network/if-up.d/50-ntp ] ; then
		rm /etc/sysconfig/network/if-up.d/50-ntp
	fi
	ln -s /etc/sysconfig/network/scripts/50-ntp /etc/sysconfig/network/if-up.d/50-ntp
fi

%postun
%restart_on_update ntp
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog NEWS README* TODO WHERE-TO-START conf 
%attr(0640,root,ntp) %config(noreplace) /etc/ntp.conf
%dir /etc/slp.reg.d
%config(noreplace) /etc/slp.reg.d/ntp.reg
%{_sysconfdir}/init.d/ntp
%{_sysconfdir}/logrotate.d/ntp
#%dir /etc/NetworkManager
#%dir /etc/NetworkManager/dispatcher.d
#%attr(0755,root,root) /etc/NetworkManager/dispatcher.d/ntp
#%dir /etc/sysconfig/SuSEfirewall2.d
#%dir /etc/sysconfig/SuSEfirewall2.d/services
%{_sbindir}/*
/var/lib/ntp
%attr(0640,root,ntp) %config(noreplace) /var/lib/ntp/etc/ntp.conf.iburst
%attr(0755,ntp,ntp) %dir /var/lib/ntp/drift
%{_mandir}/man1/*
/var/adm/fillup-templates/*
%attr(0755,ntp,root)/var/run/ntp
#%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}
%ghost %config(noreplace) /var/log/ntp
%ghost %config %{_sysconfdir}/sysconfig/network/if-up.d/50-ntp
%{_sysconfdir}/sysconfig/network/scripts/50-ntp
%dir %{_sysconfdir}/omc/
%dir %{_sysconfdir}/omc/srvinfo.d/
%{_sysconfdir}/omc/srvinfo.d/ntp.xml

%files doc
%defattr(-,root,root)
%doc	html/*

%changelog
* Thu Jul 24 2008 - varkoly@suse.de
- (bnc#387236) - L3: VUL-0: ntp complains about format/parity error for MD5 key 1, not used
- (bnc#398437) - ntp client has missing dependency to package timezone
- (bnc#379658) - Scriplet in xntp rpm trying to remove non-existing file
* Fri Mar 28 2008 - varkoly@suse.de
- ntp sever does not answer (bnc#355608)
- xntp ntpd does not work with ipv6 servers (bnc#333525)
* Wed Jan 16 2008 - mskibbe@suse.de
- Fate #301836: NTP XML Service Description Document
- Fate #302629: Upgrade of NTP from 4.2.0 to 4.2.4
* Mon Oct 22 2007 - sbrabec@suse.cz
- Use correct SuSEfirewall2 rule directory.
* Wed Aug 29 2007 - mskibbe@suse.de
- Bug 283706 – ntpdate in the init script of ntp fails if the
  network interface is not active
- Bug 256291 - setting initial time and date via ntp and mounting
  of nfs shares with network manager fails
* Mon Jul 09 2007 - mskibbe@suse.de
- update to 2.4.4p3 which
  o Broadcast address was not correctly set for interface addresses
  o reduce syslog noise, while there fix Enabled/Disable logging
  to reflect the actual configuration
  o Moved declaration of variable to top of function
  o Fix multicast client crypto authentication and make sure
  arriving multicast packets do not disturb the autokey dance
  o Don't write from source address length to wrong location
  o Upgraded autogen and libopts
  o ntpd should not read a .ntprc file
* Tue Jun 05 2007 - mskibbe@suse.de
- file /var/log/ntp is not owned by any package (#280507)
* Mon Jun 04 2007 - mskibbe@suse.de
- ntp pollutes the log on ia64 (#272938)
* Mon May 14 2007 - mskibbe@suse.de
- readline support for ntp (#246428)
* Fri Apr 13 2007 - mskibbe@suse.de
- "rcxntpd start" fails with "ntpd[8013]: crypto_setup: random seed
  file //.rnd not found" (#232512)
* Thu Mar 29 2007 - rguenther@suse.de
- add pwdutils BuildRequires for postinstall script execution
* Thu Mar 22 2007 - mskibbe@suse.de
- ntp patch broken/md5 keys unusable (#253635)
* Thu Mar 08 2007 - mskibbe@suse.de
- ntpq man page is corrupt (#251136)
- xntp (server) - Ports for SuSEfirewall added via packages
  (#251672)
* Mon Mar 05 2007 - schwab@suse.de
- Fix broken patch.
* Tue Feb 27 2007 - mskibbe@suse.de
- update to version 4.2.4 which
  o update html help pages
  o sntp now uses the returned precision to control decimal places
  o Fix a lot of bugs
* Thu Jan 25 2007 - mskibbe@suse.de
- ntpd pid file problems (#230273)
* Wed Jan 10 2007 - mskibbe@suse.de
- W32Time authentication support in NTP (fate #300767)
* Wed Nov 08 2006 - mskibbe@suse.de
- update to version 4.2.2p4 which
  o fix some bugs
* Thu Nov 02 2006 - mskibbe@suse.de
- fix bug #207079 - NTP setup to start on boot fails everytime
* Tue Oct 17 2006 - mskibbe@suse.de
- change init script and sysconfig file - it's now possible to
  synchronize time only if the service restart. (see Bug #211031)
* Mon Oct 09 2006 - mskibbe@suse.de
- update to version 4.2.2p3 which
  o use the new format of the "send" emails
  o Change mode to -rwxrwxr-x
  o Clean up the ChangeLog generation
* Thu Aug 31 2006 - mskibbe@suse.de
- fix bug #169052 - xntp: typo in man page
- fix bug #200178 - NTP error message at startup
* Tue Jul 25 2006 - mskibbe@suse.de
- update to version 4.2.2p2 which
  o cleanup
  o fix some bugs
  o Resolve the ambiguity in the copyright file
  o fix for bug #158199 (ntpdate -q reports 0 offset on IPv6)
* Thu Jun 29 2006 - jblunck@suse.de
- NetworkManager script: use start instead of try-restart (#188613).
* Tue Apr 18 2006 - rml@suse.de
- NetworkManager ntp script: s/restart-iburst/try-restart-iburst/
  as the former is not a valid command.  Fixes Novell bug #163139.
* Thu Feb 02 2006 - rml@suse.de
- Add NetworkManagerDispatcher script 'ntp' to automatically
  restart ntp whenever the network connection cycles
* Thu Jan 26 2006 - hvogel@suse.de
- Use cp -L in chroot setup to always follow symbolic links
  [145169]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - hvogel@suse.de
- Make use of Stack Protector
* Fri Dec 02 2005 - hvogel@suse.de
- update to snapshot 20050816
- fix some warnings
- better group handling
- fix local clock submission
- add manpages from redhat
* Mon Nov 21 2005 - hvogel@suse.de
- add function to update the cmos clock before starting ntpd
  [#132918]
- clean up sysconfig file
* Sat Nov 12 2005 - schwab@suse.de
- Add libcap-devel to nfb [#132236].
* Tue Nov 08 2005 - dmueller@suse.de
- fix upgrading of xntp (fallout of ntp group change)
* Mon Nov 07 2005 - hvogel@suse.de
- quote NTP_PARSE_DEVICE also
* Wed Oct 12 2005 - hvogel@suse.de
- Add -fno-strict-aliasing
- create ntp group and use it [#127548]
- implement /dev/refclock-0 link workaround [#116701]
* Sun Sep 18 2005 - kukuk@suse.de
- Add libcap-devel to nfb
* Thu Sep 15 2005 - hvogel@suse.de
- fix typo in the init script usage message
* Thu Sep 08 2005 - hvogel@suse.de
- pass the runlevel to the chkconfig test in post because we
  are in no runlevel during yast update and that resulted in the
  test always being false (no xntpd in runlevel "unknown")
  This fixes [#100413] for real.
* Thu Aug 25 2005 - hvogel@suse.de
- Add the possibility to copy more files to the chroot. Needed for
  instance to use autokeys [#104873]
* Fri Aug 05 2005 - ro@suse.de
- more work for update case: rename fillup vars from XNTPD to NTPD
- fix fillup calls
* Wed Aug 03 2005 - mmj@suse.de
- make sure an enabled xntpd is also enabled after update if it was
  enabled before [#100413]
- old package will %%stop_on_removal for old name
* Wed Jul 13 2005 - hvogel@suse.de
- rename most config files, init scripts and the like from xntpd to
  ntp to be in sync with other vendors/LSB
- simplify specfile and document it a bit
- always enable ipv6
- enable sntp
- make ntp.conf not world readable anymore. it may contain sensitive
  information
- remove the scripts from the package. they mostly dont work
* Thu Jun 30 2005 - uli@suse.de
- build with -fPIE (not -fpie) to avoid GOT overflow on s390x
* Fri Jun 17 2005 - hvogel@suse.de
- update to version 4.2.0a-20050303
- Compile with -fpie/-pie
* Tue May 17 2005 - hvogel@suse.de
- fix option syntax in init script (Bug #83980)
* Thu Apr 28 2005 - hvogel@suse.de
- enable ssl encryption (#81064)
* Thu Apr 07 2005 - mmj@suse.de
- fix array decls to make gcc4 happy
* Mon Mar 14 2005 - hvogel@suse.de
- change "running from init or not" detection to use INIT_VERSION
  instead of links = base. (Bug #71230)
* Thu Feb 10 2005 - hvogel@suse.de
- Use group argument so ntpd runs as nogroup. (50684)
- Apply patch for so ntpd can also use groupnames. (50684)
* Wed Jan 26 2005 - hvogel@suse.de
- fix segfault while trying to use a IPV6 address without a IPV6
  stack. Ignore the address instead. (Bug #47860)
* Thu Dec 09 2004 - hvogel@suse.de
- we need try-restart-iburst not restart-iburst
* Wed Dec 08 2004 - hvogel@suse.de
- add restart-iburst option to the init script so we can restart
  xntp from ip-up to prevent ntpd from loosing sync when the
  ip of an interface changes. (Bug #48654)
- use try-restart from skeleton
- simplify optflags usage
* Tue Nov 30 2004 - hvogel@suse.de
- fix typo in the init script
- fix force-reload to use try-restart
- add monlist patch
* Tue Oct 05 2004 - lmuelle@suse.de
- Use sbindir as prefix of ntpq in the ntptrace script, [#46861].
* Fri Sep 10 2004 - mmj@suse.de
- It's +2 years ago something happened that would need our attten-
  tion when updating. So remove [#44352]
* Fri Sep 10 2004 - pth@suse.de
- Fix documentation for ntptrace (#36636)
* Thu Aug 05 2004 - pth@suse.de
- Update to the 20040617 snapshot.
- Don't pass '-u' to ntpdate in the init script (bug #41140)
- Fix code to not break strict aliasing.
* Tue Mar 30 2004 - pth@suse.de
- Don't create temporary files in /tmp during post installation.
  Fixes #37435.
* Mon Mar 29 2004 - mls@suse.de
- fix slp registration
* Thu Mar 11 2004 - adrian@suse.de
- register ntpd via slp.reg.d file
* Tue Mar 09 2004 - pth@suse.de
- Make syslog create a socket in ntpd's chroot jail so that
  ntpd can continue logging.
- Make configure option --enable-linuxcaps visible on linux hosts.
- pass --enable-linuxcaps to configure to enable running chroot.
* Fri Mar 05 2004 - pth@suse.de
- Update to ntp 4.2.0a-20040225 as this version has support
  for running ntpd inside a chroot jail.
- Have syslog create an additional socket in the chroot jail.
- Remove patches obsoleted by the update :)
* Thu Feb 19 2004 - kukuk@suse.de
- Cleanup neededforbuild
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue Sep 09 2003 - pthomas@suse.de
- Don't include files possibly created at runtime, not even as ghost.
- On real uninstall remove files copied to the chroot by initscript
  and the log file.
- Also fixes 'rpm -V' output (#29596)
* Thu Sep 04 2003 - pthomas@suse.de
- Fix segfault in ntpd on startup when a device can't be opened.
- Shorten the changelog a bit.
* Fri Aug 29 2003 - pthomas@suse.de
- Fix options to tail and sort in example scripts. (#29652)
* Fri Aug 29 2003 - kukuk@suse.de
- Call useradd -r to create system account [Bug #29611]
* Fri Aug 22 2003 - pthomas@suse.de
- Fix configure.in,acinclude.m4 and Makefile.am  so that autoreconf can be
  run.
- Fix all cases of type-punning.
- Add -lcap where necessary.
- Fix bug in ntp-4.1.1-noroot.patch that made ntpd ignore an existing drift
  file instead of actually reading it (fixes bugzilla #27464).
* Thu Aug 21 2003 - lmuelle@suse.de
- Add stop_on_removal and restart_on_update macros to preun and postun section
- Add XNTPD_RUN_CHROOTED to sysconfig file and init script
- Modify init script to setup chroot environment if needed
- Autoconvert ntp.conf in case of an old driftfile location
* Tue Aug 19 2003 - mmj@suse.de
- Add sysconfig metadata [#28963]
* Wed Jul 02 2003 - ma@suse.de
- Updated manpage (new home of the ntp project is at www.ntp.org).
* Tue May 20 2003 - ma@suse.de
- Fixed manpages.
* Wed May 14 2003 - mmj@suse.de
- %%ghost /var/log/ntp
* Thu May 01 2003 - ma@suse.de
- rcxntpd script didn't handle leading blanks in /etc/ntp.conf (#19847)
* Tue Feb 04 2003 - ma@suse.de
- ntp-4.1.1.broadcastclient.diff replaced by ntp1.bk.patch/ntp2.bk.patch.
  A more secure soloution, which will most probabely go into ntp-4.1.2.
* Wed Jan 29 2003 - kukuk@suse.de
- Add sysconfig meta data [Bug #22705]
* Wed Jan 15 2003 - ro@suse.de
- moved logrotate config here
* Wed Jan 15 2003 - ma@suse.de
- Added ntp-4.1.1.broadcastclient.diff to enable broadcastclient mode,
  unless AUTOKEY is defined (which is off by default). Due to broken
  interface code, broadcastclient together with AUTOKEY does not work
  on Linux. [#22253]
* Tue Dec 10 2002 - ihno@suse.de
- Corrected patch ntp-4.1.1-noroot.patch.
  removed : after x for optionlist [#21826]
* Mon Nov 11 2002 - ma@suse.de
- fixed typo in /etc/sysconfig/xntp comment. (#21688)
* Mon Sep 09 2002 - mmj@suse.de
- ntp.drift is moved, adjust specfile completely, and move it to
  the new place from /etc in case of update. [#19113]
* Wed Aug 28 2002 - nashif@suse.de
- Added insserv, fillup to PreReq
* Fri Aug 09 2002 - okir@suse.de
- added patch to make xntpd drop root privileges and chroot
- added XNTPD_OPTIONS to sysconfig file and rc script;
  set XNTPD_OPTIONS="-U ntp" initially
- added /var/lib/ntp owned by user ntp, and moved ntp.drift
  there.
* Wed Jun 26 2002 - ro@suse.de
- fix directory permissions
* Mon May 27 2002 - ma@suse.de
- Fixed segfault in ntpdate if no server suitable for
  synchronization found (#15589)
* Fri Apr 05 2002 - ma@suse.de
- Overworked documentation in doc/packages/xntp (#15052)
* Mon Mar 11 2002 - ma@suse.de
- Update to ntp-4.1.1 / NTP-FAQ-3.4
- SuSE specific files formerly created by SuSE-Config.diff are now
  shipped via ntp-4.1.1.SuSE-Config.tar.gz.
- Removed parts of ntpdate_overflow.diff, that are now included in the
  official source.
- Added new argument 'ntptimeset' to rcxntpd. If no ntpd is running,
  'rcxntpd ntptimeset' evaluates XNTPD_INITIAL_NTPDATE from
  /etc/sysconfig/xntp, and tries to set time and date via ntpdate, the
  same way as it is done at 'rcxntpd start'. But no ntpd is started.
  This might be usefull if the machine isn't permanently connected to
  the internet. "AUTO" value in XNTPD_INITIAL_NTPDATE requires parsing
  /etc/ntpd.conf, so 'ntpadte $XNTPD_INITIAL_NTPDATE' after dialup
  might not work.
- Added manual page to package xntpd, telling that documentation is
  available in HTML only, and located in package xntp-doc. (#14338)
* Mon Feb 11 2002 - ma@suse.de
- Evaluation of XNTPD_INITIAL_NTPDATE from /etc/sysconfig/xntp was
  changed. A space-separated list of ntp servers to query for current
  time and date before the local xntpd is started, is still supported.
  Furthermore you may now set XNTPD_INITIAL_NTPDATE="AUTO", to query
  ALL servers and peers configured in /etc/ntpd.conf.
  You may as well restrict the total number of servers to be queried
  at startup by setting XNTPD_INITIAL_NTPDATE="AUTO-{NUMBER}".
  The new default value for XNTPD_INITIAL_NTPDATE is "AUTO-2", which
  will query only the first two servers listed in /etc/ntpd.conf.
* Mon Jan 07 2002 - ma@suse.de
- Fixed example scripts referencing nslookup in wrong path (#12667)
- Fillup template renamed to sysconfig.xntp. Let init script source
  /etc/sysconfig/xntp instead of /etc/rc.config. (#12748)
* Mon Dec 17 2001 - ma@suse.de
- ntpdate_overflow.diff: Brute force patch to handle condition where
  systemtime is more than MAX_INT32 seconds in the past. Due to the
  limited range of an INT32, the computed offset is negative, although
  systemtime is in the past. In this situation the measured offset
  must be interpreted as UNSIGNED_INT32, and the systemtime has to be
  adjusted in two steps, as we can't step more than MAX_INT32 seconds
  at once.
  Need for this patch arises on newer macs, which reset the time to
  1904 after a hard crash or when the powerbook battery was off for
  a while.(#12620)
* Fri Dec 14 2001 - ro@suse.de
- removed START_XNTPD
* Thu Dec 13 2001 - ma@suse.de
- ntpdate_overflow.diff: ntpdate failed, if systemtime is a long way off.
  I.e. more than MAX_INT32 seconds (presently before Nov 1933) or closer
  to this limit than to the actual time. In both cases ntpdate tried to
  adjust the time to Nov 1933. This succeeded for systemtimes before
  Nov 1933 and failed if ntpdate tried to set the time back.
  The patch does not enable ntpdate to set the correct date, if the
  systemtime is before the limit, but ntpdate will report an error and
  fail, instead of setting the systemtime to Nov 1933. Any systemtime
  after this limit will be set correctly. (#12620)
* Fri Sep 21 2001 - ma@suse.de
- NTP-FAQ in xntp-doc updated to NTP-FAQ-3.2.
* Wed Aug 22 2001 - ma@suse.de
- Removed the glibc22.patch (sparc/s390 only). Better fix configure,
  than trying to patch config.h afterwards :(
* Wed Aug 22 2001 - ma@suse.de
- Update to ntp-4.1.0
  The latest NTPv4 'ntpdc' does not work with previous versions of ntpd
  and previous versions of 'ntpdc' do not work with latest ntpd. This
  situation is regrettable and may be fixed in future; however, it is
  necessary in order for the autokey function to retrieve canonical
  names and certificates from directory services such as Secure DNS.
  The standard NTP query program 'ntpq' is not affected by this.
- Previously applied bugfix/security patches are obsolete.
- ntpdate called from /etc/init.d/xntpd now uses an unprivileged port
  for outgoing packets. Might be we have to synchronise with hosts beyond
  a firewall, that that blocks incoming traffic to privileged ports.
- /etc/init.d/xntpd is now LSB compliant (#9114)
- Subpackage xntpdoc was renamed to xntp-doc.
- NTP-FAQ in xntp-doc updated to NTP-FAQ-3.1.
* Thu Jun 14 2001 - bk@suse.de
- remove lx_sus22 from neededforbuild, not on s390x and obsolete
* Tue Jun 12 2001 - bk@suse.de
- enable sparc and alpha changes on s390x too
* Tue Apr 17 2001 - kukuk@suse.de
- Remove extra version from sub-package
* Fri Apr 06 2001 - uli@suse.de
- fixed to build
* Thu Apr 05 2001 - draht@suse.de
- fix last change because the patch against ntpd/ntp_control.c that
  I supplied was wrong.
* Thu Apr 05 2001 - ma@suse.de
- incorporated sparc patches (Tue Feb 13-kukuk@suse.de):
  Add some ugly hacks to work on SPARC
- incorporated alpha patches (Wed Feb 28-sf@suse.de):
  compiling with -O0 on Alpha
- added root-hole patch to fix possible exploit in ntpd/ntp_control.c
* Thu Jan 04 2001 - pthomas@suse.de
- Add missing period to README.SuSE and clarify it a bit.
* Mon Dec 04 2000 - ma@suse.de
- update to NTP-FAQ-2.5
* Tue Nov 28 2000 - ro@suse.de
- startscript fixed
* Mon Jul 10 2000 - ma@suse.de
- update to NTP-FAQ-2.1
* Tue Apr 04 2000 - ro@suse.de
- added suse_update_config macro
* Wed Mar 08 2000 - ma@suse.de
- update to NTP-FAQ-1.7
* Mon Feb 28 2000 - ro@suse.de
- renamed subpackage xntp-doc to xntpdoc
* Fri Feb 25 2000 - ma@suse.de
- update to 4.0.99f
- Html documentation and NTP-FAQ have been moved into a separate
  package: xntp-doc
* Mon Nov 08 1999 - ma@suse.de
- update to 4.0.98d
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Jul 14 1999 - bs@suse.de
- call Check
* Wed Jul 14 1999 - ma@suse.de
- added some hints for radio clocks in ntp.conf
* Thu Jul 08 1999 - ma@suse.de
- update to ntp-4.0.93a
- still need to work on some scripts
- ntptime was removed from package; currently not supported
  under Linux
* Wed Mar 31 1999 - ma@suse.de
- update to ntp-4.0.92c
* Fri Mar 26 1999 - ro@suse.de
- fixed spec-naming
* Thu Mar 25 1999 - ma@suse.de
- update to 3.5.93e
- ntptime now builds on glibc
- Additional patch from Ulrich Windl for DCF77 receiver
* Thu Jan 14 1999 - ma@suse.de
- All references to '/lobal/bin/perl' below
  scripts/ changed to '/usr/bin/perl'.
* Thu Dec 10 1998 - ma@suse.de
- 2 new variables for rc.config:
  [#]
  [#] Usually it's a good idea to get the current time and date
  [#] from some other ntp server, before xntpd is started.
  [#] If we should do so, provide a space-separated list of
  [#] ntp servers to query.
  [#]
  XNTPD_INITIAL_NTPDATE=""
  [#]
  [#] This allows you to alter the kernel TICK variable.
  [#]
  [#] WARNING: YOU MUST NOT CHANGE THIS VARIABLE!
  [#]
  [#] Believe me, it won't help to solve any problem you have
  [#] if you set it. On the contrary, you will run into trouble!
  [#]
  [#] It's just here for those few, who know why they do not
  [#] believe me ;)
  [#]
  XNTPD_KERNEL_TICK=""
- updated rc-script
* Mon Dec 07 1998 - ro@suse.de
- updated rc-script
- pack ntptime for libc5
* Tue Oct 06 1998 - ro@suse.de
- ntptime does not get built on glibc
* Thu Sep 17 1998 - ro@suse.de
- ntp_machine.h: GLIBC has sys/stropts.h but not sys/streams.h !
* Tue Jul 21 1998 - ma@suse.de
- Win and NT documentation removed
* Fri Jun 26 1998 - ma@suse.de
- update to 3.5.93c
- changed /sbin/init.d/xntp: reload/restart option.
- added symlink /usr/sbin/rcxntpd -> ../../sbin/init.d/xntpd
- changed /etc/ntp.conf: more comments+examples; default loging
  to /var/log/ntp
- specfile & build:
  - using 'BuildRoot: /tmp/xntp'
  - Makefile.Linux removed
  - using dir conf.SuSE in source tree for scripts provided
  by S.u.S.E. (default ntp.conf, init.d/xntpd, fillup-templates..)
  - added /etc/drift and /var/log/ntp as %%ghost
* Wed Jun 10 1998 - ma@suse.de
- Makefile.Linux: configure option --enable-step-slew removed.
  step-slew quite often seems to prevent xntpd from adjusting
  the system time correctly.
* Tue Mar 03 1998 - florian@suse.de
- update to 3-5.92
* Mon Nov 24 1997 - ro@suse.de
- changed /local/bin/perl to /usr/bin/perl in scripts/monitoring
  and in scripts/support/bin/monl
* Wed Nov 19 1997 - florian@suse.de
- move html-docu into subdirectory and add some support scripts
* Mon Oct 27 1997 - florian@suse.de
- update to version 3-5.91
- change some HAVE_TERMIOS to HAVE_TERMIOS_H
* Wed Jun 25 1997 - florian@suse.de
- update to version 3-5.90.2
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Sun Feb 02 1997 - florian@suse.de
- update to new version 3.5-89
- better config files
* Thu Jan 02 1997 - florian@suse.de
- update to version 3-5.86.12.2
- slightly better config file
* Thu Jan 02 1997 - florian@suse.de
- update to new version 3-5.86.9
- add RAWDCF support
* Thu Jan 02 1997 - bs@suse.de
- fillup added
- /sbin/init.d start-scripts
